// Copyright GreenKeeper Software 2005

#import <Cocoa/Cocoa.h>

// Handles the project manager
@interface ProjectManagerController : NSObject
{
	// Interface components
	IBOutlet NSWindow *window;
    IBOutlet NSTableView *table;
    IBOutlet NSTableColumn *nameColumn;
    IBOutlet NSTableColumn *urlColumn;
	IBOutlet NSButton *removeButton;
	IBOutlet NSButton *addButton;
	IBOutlet NSButton *updateButton;
	IBOutlet NSButton *resetButton;
	IBOutlet NSWindow *addProjectWindow;
	IBOutlet NSTextField *addProjectAccountIDField;
    IBOutlet NSTextField *addProjectURLField;
	IBOutlet NSProgressIndicator *spinningIndicator;
	
	// Local variables
	NSArray *projects;
	BOOL boincTaskWasRunning;
}
// Opens the project manager window
- (IBAction)openWindow:(id)sender;

	// Attaches the add project sheet to the project manager so the user can add a new project
- (IBAction)openAddProjectSheet:(id)sender;

	// Attaches a project to this computer
- (IBAction)addProject:(id)sender;

	// Closes the add project sheet 
- (IBAction)cancelAddProject:(id)sender;

	// Updates the selected project in the project manager
- (IBAction)updateProject:(id)sender;

	// Resets the selected project in the project manager
- (IBAction)resetProject:(id)sender;

	// Detaches the selected project in the project manager
- (IBAction)removeProject:(id)sender;

	// Enables and disables buttons based on wether or not a project is selected
- (void)updateButtons:(NSNotification *)notification;

@end
